Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class Hbm2JavaTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--net.sf.hibernate.tool.hbm2java.Hbm2JavaTask

public class Hbm2JavaTask
extends org.apache.tools.ant.Task

Task for hbm2java (Hibernates codegenerator)

Author:
  GBegley and max

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Hbm2JavaTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Adds a set of files to translate.
`org.apache.tools.ant.types.Path` | `createClasspath()` Adds a path to the classpath.
`void` | `execute()`
`org.apache.tools.ant.types.Path` | `getClasspath()` Gets the classpath to be used for this compilation.
`void` | `setClasspath(org.apache.tools.ant.types.Path classpath)` Set the classpath to be used for this compilation.
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)` Adds a reference to a classpath defined elsewhere.
`void` | `setConfig(File configurationFile)` Set a hbm2java config.xml configuration file
`void` | `setOutput(File outDirectory)` Sets the output directory.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hbm2JavaTask

    public Hbm2JavaTask()

Method Detail

### setConfig

    public void setConfig(File configurationFile)

  Set a hbm2java config.xml configuration file

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

  Set the classpath to be used for this compilation.

  Parameters:
    `classpath` - an Ant Path object containing the compilation classpath.

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

  Gets the classpath to be used for this compilation.

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

  Adds a path to the classpath.

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

  Adds a reference to a classpath defined elsewhere.

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

  Adds a set of files to translate.

### setOutput

    public void setOutput(File outDirectory)

  Sets the output directory.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD